package com.xunmei.core.access.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.xunmei.common.core.web.domain.BaseEntity;

/**
 * 调阅任务登记监控对象 core_monitoring_task_registration_monitor
 *
 * @author xunmei
 * @date 2023-08-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("core_monitoring_task_registration_monitor")
@ApiModel(value = "CoreMonitoringTaskRegistrationMonitor对象" , description = "调阅任务登记监控")
public class CoreMonitoringTaskRegistrationMonitor extends BaseEntity
        {
private static final long serialVersionUID=1L;

    /** 主键 */
    private Long id;

    /** 调阅任务扫描主键 */
            @ApiModelProperty(value = "调阅任务扫描主键")
    private Long taskRegistrationId;

    /** 监控主机id */
            @ApiModelProperty(value = "监控主机id")
    private Long host;

    /** 视频通道 */
            @ApiModelProperty(value = "视频通道")
    private String videoChannel;

    /** 0未删除2已删除 */
    private String delFlag;

                                                                                                                                                                                                                                                                                                                                                                        
@Override
public String toString(){
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)


                .append("id" ,getId())


                .append("taskRegistrationId" ,getTaskRegistrationId())


                .append("host" ,getHost())


                .append("videoChannel" ,getVideoChannel())


                .append("createTime" ,getCreateTime())


                .append("createBy" ,getCreateBy())


                .append("updateTime" ,getUpdateTime())


                .append("updateBy" ,getUpdateBy())


                .append("delFlag" ,getDelFlag())
        .toString();
        }
        }
